%{?nodejs_find_provides_and_requires}

%global packagename uid-safe
%global enable_tests 1

Name:		nodejs-uid-safe
Version:	2.0.0
Release:	3%{?dist}
Summary:	URL and cookie safe UIDs

License:	MIT
URL:		https://github.com/crypto-utils/uid-safe
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(base64-url)
BuildRequires:	npm(bluebird)
BuildRequires:	npm(proxyquire)
%endif

%description
URL and cookie safe UIDs


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/mocha -R spec --trace-deprecation --bail --check-leaks test/
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Nov 04 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-2
- Add missing dependency for tests

* Wed Nov  4 2015 Jared Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Initial packaging
